﻿import os
import globalPluginHandler
import globalVars
import speechDictHandler
import ui

dic = os.path.join(os.path.dirname(os.path.abspath(__file__)), "enf.dic")
sD = speechDictHandler.SpeechDict()
enf = False

def enfon():
  global enf
  speechDictHandler.dictionaries["temp"].extend(sD)
  enf = True

def enfoff():
  global enf
  for entry in sD:
    if entry in speechDictHandler.dictionaries["temp"]:
      speechDictHandler.dictionaries["temp"].remove(entry)
  enf = False

class GlobalPlugin(globalPluginHandler.GlobalPlugin):
  def __init__(self):
    super(globalPluginHandler.GlobalPlugin, self).__init__()
    global sD, dic
    sD.load(dic)

  def terminate(self):
    enfoff()
    global sD 
    sD = None

  def script_toggle(self, gesture):
    if not globalVars.speechDictionaryProcessing:
      return
    if enf:
      enfoff()
      ui.message("英文數字過濾關")
    else:
      ui.message("英文數字過濾開")
      enfon()
  script_toggle.__doc__ = ("英文數字過濾開關")

  __gestures = {"kb:shift+NVDA+e":"toggle"}
